unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfrmPrincipal = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmPrincipal: TfrmPrincipal;

implementation

// Funes do Cupom Fiscal
function Bematech_FI_AbreCupom( CGC_CPF: String ): Integer; StdCall; External 'BEMAFI32.DLL';

function Bematech_FI_VendeItem( Codigo: String; Descricao: String; Aliquota: String; TipoQuantidade: String; Quantidade: String; CasasDecimais: Integer; ValorUnitario: String; TipoDesconto: String; Desconto: String): Integer; StdCall; External 'BEMAFI32.DLL';

function Bematech_FI_CancelaCupom: Integer; StdCall; External 'BEMAFI32.DLL';

function Bematech_FI_FechaCupomResumido( FormaPagamento: String; Mensagem: String ): Integer; StdCall; External 'BEMAFI32.DLL';

function Bematech_FI_FechaCupom( FormaPagamento: String; AcrescimoDesconto: String; TipoAcrescimoDesconto: String; ValorAcrescimoDesconto: String; ValorPago: String; Mensagem: String): Integer; StdCall; External 'BEMAFI32.DLL';

function Bematech_FI_ResetaImpressora: Integer; StdCall; External 'BEMAFI32.DLL';

function Bematech_FI_IniciaFechamentoCupom( AcrescimoDesconto: String; TipoAcrescimoDesconto: String; ValorAcrescimoDesconto: String ): Integer; StdCall; External 'BEMAFI32.DLL';

function Bematech_FI_EfetuaFormaPagamento( FormaPagamento: String; ValorFormaPagamento: String ): Integer; StdCall; External 'BEMAFI32.DLL';

function Bematech_FI_EfetuaFormaPagamentoDescricaoForma( FormaPagamento: string; ValorFormaPagamento: string; DescricaoFormaPagto: string ): integer; StdCall; External 'BEMAFI32.DLL';

function Bematech_FI_TerminaFechamentoCupom( Mensagem: String): Integer; StdCall; External 'BEMAFI32.DLL';

function Bematech_FI_RetornoImpressora( Var ACK: Integer; Var ST1: Integer; Var ST2: Integer ): Integer; StdCall; External 'BEMAFI32.DLL';

function Bematech_FI_RegistrosTipo60: Integer; StdCall; External 'BEMAFI32.DLL';

function Bematech_FI_RelatorioSintegraMFD( iRelatorios : Integer;
                                           cArquivo    : String;
                                           cMes        : String;
                                           cAno        : String;
                                           cRazaoSocial: String;
                                           cEndereco   : String;
                                           cNumero     : String;
                                           cComplemento: String;
                                           cBairro     : String;
                                           cCidade     : String;
                                           cCEP        : String;
                                           cTelefone   : String; 
                                           cFax        : String; 
                                           cContato    : String ): Integer; StdCall; External 'BEMAFI32.DLL'; 


{$R *.DFM}

procedure TfrmPrincipal.Button1Click(Sender: TObject);
var iRet, iACK, iST1, iST2: integer;
begin
        iACK := 0; iST1 := 0; iST2 := 0;
        iRet := Bematech_FI_AbreCupom( pchar( '' ) );
        iRet := Bematech_FI_RetornoImpressora( iACK, iST1, iST2 );
end;

procedure TfrmPrincipal.Button2Click(Sender: TObject);
var iRet, iACK, iST1, iST2: integer;
    Codigo, Descricao, Aliquota, TipoQtde, Qtde, Valor, TipoDesc, Desc: string;
begin
        iACK := 0; iST1 := 0; iST2 := 0;
        Codigo    := '123';
        Descricao := 'Coca-Cola';
        Aliquota  := 'II';
        TipoQtde  := 'I';
        Qtde      := '1';
        Valor     := '1,79';
        TipoDesc  := '%';
        Desc      := '00,00';

        screen.Cursor := crHourglass;
        iRet := Bematech_FI_VendeItem( pchar( Codigo ), pchar( Descricao ), pchar( Aliquota ),
                                       pchar( TipoQtde ), pchar( Qtde ), 2, pchar( Valor ), pchar( TipoDesc ),
                                       pchar( Desc ) );

        Qtde     := '2';
        iRet := Bematech_FI_VendeItem( pchar( Codigo ), pchar( Descricao ), pchar( 'FF' ),
                                       pchar( TipoQtde ), pchar( Qtde ), 2, pchar( Valor ), pchar( TipoDesc ),
                                       pchar( Desc ) );

        Qtde     := '3';
        iRet := Bematech_FI_VendeItem( pchar( Codigo ), pchar( Descricao ), pchar( 'NN' ),
                                       pchar( TipoQtde ), pchar( Qtde ), 2, pchar( Valor ), pchar( TipoDesc ),
                                       pchar( Desc ) );

        Qtde     := '4';
        iRet := Bematech_FI_VendeItem( pchar( Codigo ), pchar( Descricao ), pchar( '01' ),
                                       pchar( TipoQtde ), pchar( Qtde ), 2, pchar( Valor ), pchar( TipoDesc ),
                                       pchar( Desc ) );

        Qtde     := '5';
        iRet := Bematech_FI_VendeItem( pchar( Codigo ), pchar( Descricao ), pchar( '02' ),
                                       pchar( TipoQtde ), pchar( Qtde ), 2, pchar( Valor ), pchar( TipoDesc ),
                                       pchar( Desc ) );

        Qtde     := '6';
        iRet := Bematech_FI_VendeItem( pchar( Codigo ), pchar( Descricao ), pchar( '03' ),
                                       pchar( TipoQtde ), pchar( Qtde ), 2, pchar( Valor ), pchar( TipoDesc ),
                                       pchar( Desc ) );

        Qtde     := '7';
        iRet := Bematech_FI_VendeItem( pchar( Codigo ), pchar( Descricao ), pchar( '04' ),
                                       pchar( TipoQtde ), pchar( Qtde ), 2, pchar( Valor ), pchar( TipoDesc ),
                                       pchar( Desc ) );

        screen.Cursor := crDefault;
        iRet := Bematech_FI_RetornoImpressora( iACK, iST1, iST2 );
end;

procedure TfrmPrincipal.Button3Click(Sender: TObject);
var iRet, iACK, iST1, iST2: integer;
    AcreDesc, TipoAcreDesc, MSG: string;
begin
        iACK := 0; iST1 := 0; iST2 := 0;
        AcreDesc     := 'D';
        TipoAcreDesc := '%';
        MSG := 'Obrigado, volte sempre !!!';

        screen.Cursor := crHourglass;
        iRet := Bematech_FI_FechaCupom( pchar('Dinheiro'), pchar( AcreDesc ),
                                        pchar( TipoAcreDesc ), pchar('10,00'),
                                        pchar('100,00'), MSG );
        screen.Cursor := crDefault;
        iRet := Bematech_FI_RetornoImpressora( iACK, iST1, iST2 );
end;

procedure TfrmPrincipal.Button4Click(Sender: TObject);
var cArquivo,
    cMes,
    cAno,
    cRazaoSocial,
    cEndereco,
    cNumero,
    cComplemento,
    cBairro,
    cCidade,
    cCEP,
    cTelefone,
    cFax,
    cContato: string;
    iRet: integer;

begin
        cArquivo     := 'SINTEGRA.TXT';
        cMes         := '05';
        cAno         := '2004';
        cRazaoSocial := 'BEMATECH S/A';
        cEndereco    := 'Estrada de Santa Candida';
        cNumero      := '263';
        cComplemento := 'Industria';
        cBairro      := 'Santa Candida';
        cCidade      := 'Curitiba';
        cCEP         := '82630490';
        cTelefone    := '41 351-2700';
        cFax         := '41 351-2863';
        cContato     := 'Fulano de Tal';

        iRet := Bematech_FI_RelatorioSintegraMFD( 63,
                                                  pchar( cArquivo ),
                                                  pchar( cMes ),
                                                  pchar( cAno ),
                                                  pchar( cRazaoSocial ),
                                                  pchar( cEndereco ),
                                                  pchar( cNumero ),
                                                  pchar( cComplemento ),
                                                  pchar( cBairro ),
                                                  pchar( cCidade ),
                                                  pchar( cCEP ),
                                                  pchar( cTelefone ),
                                                  pchar( cFax ),
                                                  pchar( cContato ) );
end;

procedure TfrmPrincipal.Button5Click(Sender: TObject);
var iRet, iACK, iST1, iST2: integer;
begin
        iACK := 0; iST1 := 0; iST2 := 0;
        screen.Cursor := crHourglass;
        iRet := Bematech_FI_RegistrosTipo60();
        screen.Cursor := crDefault;
        iRet := Bematech_FI_RetornoImpressora( iACK, iST1, iST2 );
end;

procedure TfrmPrincipal.Button6Click(Sender: TObject);
var iRet, iACK, iST1, iST2: integer;
begin
        iACK := 0; iST1 := 0; iST2 := 0;
        iRet := Bematech_FI_CancelaCupom;
        iRet := Bematech_FI_RetornoImpressora( iACK, iST1, iST2 );
end;

end.
